package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EmsCls;
import com.ruoyi.ems.model.TreeEntity;

import java.util.List;

/**
 * 能源分类Service接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface IEmsClsService {
    /**
     * 查询能源分类
     *
     * @param id 能源分类主键
     * @return 能源分类
     */
    EmsCls selectEmsClsById(Long id);

    /**
     * 查询能源分类列表
     *
     * @param emsCls 能源分类
     * @return 能源分类集合
     */
    List<EmsCls> selectEmsClsList(EmsCls emsCls);

    /**
     * 能源分类树
     *
     * @param emsCls 条件
     * @return 树
     */
    List<TreeEntity> selectEmsClsTreeList(EmsCls emsCls);

    /**
     * 新增能源分类
     *
     * @param emsCls 能源分类
     * @return 结果
     */
    int insertEmsCls(EmsCls emsCls);

    /**
     * 修改能源分类
     *
     * @param emsCls 能源分类
     * @return 结果
     */
    int updateEmsCls(EmsCls emsCls);

    /**
     * 批量删除能源分类
     *
     * @param ids 需要删除的能源分类主键集合
     * @return 结果
     */
    int deleteEmsClsByIds(Long[] ids);

    /**
     * 删除能源分类信息
     *
     * @param id 能源分类主键
     * @return 结果
     */
    int deleteEmsClsById(Long id);
}
